Subject: bug#920: devuan-desktop: System automatically logs out after a few minutes inactivity.

From: Bob Bowles <[email-masked]>
Date: Fri, 31 Oct 2025 12:55:10 +0000

Package: devuan-desktop
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

   * What led up to the situation?
Distribution upgrade from Devuan daedalus to excalibur.
Since the upgrade I have found the system automatically logs out after
a short period of inactivity, terminating all open applications, and
reverting to the slim login screen.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
I have tried removing the xfce4-power-manager and disabling screenlock.

   * What was the outcome of this action?
These efforts have had no positive effect.
I did find, prior to completely removing it, that changing the power
manager's settings made things infinitely worse, in that gui login
immediately triggers logout, the system becomes unusable. Recovery was
only possible from the command line terminal login by deleting the
power manager's configuration file.

   * What outcome did you expect instead?
I wanted to prevent the system automatically logging out.

-- System Information:
Distributor ID: Devuan
Description: Devuan GNU/Linux 6 (excalibur)
Release: 6
Codename: excalibur
Architecture: x86_64

Kernel: Linux 6.12.48+deb13-amd64 (SMP w/1 CPU thread; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled